DOM::CSSStyleRule Class Reference

`#include <css_rule.h>`

Inheritance diagram for DOM::CSSStyleRule:

## Public Member Functions

| CSSStyleRule (const CSSStyleRule &other)
| CSSStyleRule (const CSSRule &other)
| CSSStyleRule (CSSStyleRuleImpl *impl)
CSSStyleRule & | operator= (const CSSStyleRule &other)
CSSStyleRule & | operator= (const CSSRule &other)
DOM::DOMString | selectorText () const
void | setSelectorText (const DOM::DOMString &)
CSSStyleDeclaration | style () const
Public Member Functions inherited from DOM::CSSRule
| CSSRule (const CSSRule &other)
| CSSRule (CSSRuleImpl *impl)
CSSRule & | operator= (const CSSRule &other)
unsigned short | type () const
DOM::DOMString | cssText () const
void | setCssText (const DOM::DOMString &)
CSSStyleSheet | parentStyleSheet () const
CSSRule | parentRule () const
CSSRuleImpl * | handle () const
bool | isNull () const

## Additional Inherited Members

Public Types inherited from DOM::CSSRule
enum | RuleType { UNKNOWN_RULE = 0, STYLE_RULE = 1, CHARSET_RULE = 2, IMPORT_RULE = 3, MEDIA_RULE = 4, FONT_FACE_RULE = 5, PAGE_RULE = 6, QUIRKS_RULE = 100 }
Protected Member Functions inherited from DOM::CSSRule
void | assignOther (const CSSRule &other, RuleType thisType)
Protected Attributes inherited from DOM::CSSRule
CSSRuleImpl * | impl

## Detailed Description

The `CSSStyleRule` interface represents a single rule set in a CSS style sheet.

Definition at line 411 of file css_rule.h.

## Member Function Documentation

DOMString CSSStyleRule::selectorText | ( |  | ) | const

The textual representation of the selector for the rule set.

The implementation may have stripped out insignificant whitespace while parsing the selector.

Definition at line 414 of file css_rule.cpp.

void CSSStyleRule::setSelectorText | ( | const DOM::DOMString & | value | ) |

see selectorText

Exceptions

  CSSException | SYNTAX_ERR: Raised if the specified CSS string value has a syntax error and is unparsable.

Exceptions

  DOMException | NO_MODIFICATION_ALLOWED_ERR: Raised if this style sheet is readonly.

Definition at line 420 of file css_rule.cpp.

CSSStyleDeclaration CSSStyleRule::style | ( |  | ) | const

The declaration-block of this rule set.

Definition at line 425 of file css_rule.cpp.

The documentation for this class was generated from the following files:

- css_rule.h
- css_rule.cpp

KDE Home | KDE Accessibility Home | Description of Access Keys